// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License. You may obtain a copy of
// the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations under
// the License.

#ifndef THIRD_PARTY_MBEDTLS_CUSTOM_CONFIG_H_
#define THIRD_PARTY_MBEDTLS_CUSTOM_CONFIG_H_

/* mbed TLS feature support */
#define MBEDTLS_DEPRECATED_REMOVED
#define MBEDTLS_ECDSA_DETERMINISTIC
#define MBEDTLS_ECP_DP_SECP256R1_ENABLED
#define MBEDTLS_SHA512_NO_SHA384

/* mbed TLS modules */
#define MBEDTLS_ASN1_PARSE_C
#define MBEDTLS_ASN1_WRITE_C
#define MBEDTLS_BIGNUM_C
#define MBEDTLS_ECDSA_C
#define MBEDTLS_ECP_C
#define MBEDTLS_HKDF_C
#define MBEDTLS_HMAC_DRBG_C
#define MBEDTLS_MD_C
#define MBEDTLS_OID_C
#define MBEDTLS_PK_C
#define MBEDTLS_PK_PARSE_C
#define MBEDTLS_PK_WRITE_C
#define MBEDTLS_SHA512_C
#define MBEDTLS_X509_CREATE_C
#define MBEDTLS_X509_CRT_WRITE_C

#include "mbedtls/check_config.h"

#endif /* THIRD_PARTY_MBEDTLS_CUSTOM_CONFIG_H_ */
